List locally recorded tasks
curl --request GET \
--url https://gengen.farm/api/gengen/v1/contents/generations/tasks \
--header 'Authorization: Bearer <token>'import requests
url = "https://gengen.farm/api/gengen/v1/contents/generations/tasks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gengen.farm/api/gengen/v1/contents/generations/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"model": "<string>",
"status": "queued",
"outputs": {
"videos": [
"<string>"
],
"images": [
"<string>"
]
},
"failureReason": "<string>"
}
]
}{
"error": "<string>",
"error_code": "<string>",
"error_params": {}
}Higgsfield
List GENGEN Higgsfield tasks
Authenticated GENGEN history, not an upstream Higgsfield list. Filter by exact model ID.
GET
/
contents
/
generations
/
tasks
List locally recorded tasks
curl --request GET \
--url https://gengen.farm/api/gengen/v1/contents/generations/tasks \
--header 'Authorization: Bearer <token>'import requests
url = "https://gengen.farm/api/gengen/v1/contents/generations/tasks"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://gengen.farm/api/gengen/v1/contents/generations/tasks', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"items": [
{
"id": "<string>",
"model": "<string>",
"status": "queued",
"outputs": {
"videos": [
"<string>"
],
"images": [
"<string>"
]
},
"failureReason": "<string>"
}
]
}{
"error": "<string>",
"error_code": "<string>",
"error_params": {}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Query Parameters
Available options:
higgsfield-seedance-2.0, higgsfield-seedance-2.5 Required range:
1 <= x <= 500Required range:
1 <= x <= 500Response
Locally stored task history.
Show child attributes
Show child attributes